| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
IOLink.MultiImageView Class Reference

Interface representing a multi-image view, i.e. a stack of ImageView. More...

Inheritance diagram for IOLink.MultiImageView:

## Public Member Functions
| MultiImageView (global::System.IntPtr cPtr, bool cMemoryOwn)
virtual MultiImageCapabilitySet | GetCapabilities ()
| Return the capabilities of this multi image.
bool | Support (MultiImageCapabilitySet flags)
| Checks if the MultiImageView supports the given capabilities.
string | ToString ()
| Return a string representation.
virtual uint | GetFrameCount ()
| Returns the number of frames in the set.
virtual ImageView | Frame (uint index)
| Gets the ith frame of the set.
virtual ReadonlyMetadataNode | GetMetadata ()
| Returns the root node of the metadata attached to this multi-image.
virtual void | AddFrame (ImageView newFrame)
| Add a new frame at the end of the set.
virtual void | SetFrame (uint index, ImageView frame)
| Set the frame at the given index (index must already exist, no allocation)
virtual void | RemoveFrame (uint index)
| Remove the ith frame.
virtual void | SetMetadata (MetadataNode metadata)
| Attach a new metadata node to the image.
Public Member Functions inherited from IOLink.View
| View (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
T | Extension< T > ()
| Get an extension, with automatic upcasting.
virtual Extension | Extension (uint id)
| Get an extension of the view, corresponding to the given identifier.
ViewOriginExtension | ViewOrigin ()
| Shortcut to access to ViewOrigin extension.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (MultiImageView obj)
Static Public Member Functions inherited from IOLink.View
static global::System.Runtime.InteropServices.HandleRef | getCPtr (View obj)

## Protected Member Functions
override void | Dispose (bool disposing)

## Properties
MultiImageCapabilitySet | Capabilities`[get]`
| The Capabilities on the `ImageView`
uint | FrameCount`[get]`
| The number of frames in this `MultiImageView`
ReadonlyMetadataNode | Metadata`[get, set]`
| The `MetadataNode` associated with this `MultiImageView` instance.

## Detailed Description

Interface representing a multi-image view, i.e. a stack of ImageView.

This interface capabilities are indicated by the MultiImageCapabilitySet returned by the method MultiImageView::capabilities. Each capability enable the use of a specific set of methods. When one of those methods is called, if its corresponding capability is not supported, a NotImplemented exception will be thrown.

Examples
  VolumeFromStack.cs.

## Member Function Documentation

## ◆ Dispose()

override void IOLink.MultiImageView.Dispose | ( | bool | disposing | ) |
| inline protected virtual

Reimplemented from IOLink.View.

## ◆ Frame()

virtual ImageView IOLink.MultiImageView.Frame | ( | uint | index | ) |
| inline virtual

Gets the ith frame of the set.

Parameters

  index | the index of the frame in the set

Returns
  the ith frame as ImageView

## ◆ GetFrameCount()

virtual uint IOLink.MultiImageView.GetFrameCount | ( |  | ) |
| inline virtual

Returns the number of frames in the set.

Returns
  the number of frames in the set

Exceptions

  Error |
  AccessError |

The documentation for this class was generated from the following file:

- Release/net/generated/MultiImageView.cs